> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Employer Document

> Retrieves the employer document by id.



## OpenAPI

````yaml get /employer_documents/{public_id}
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /employer_documents/{public_id}:
    get:
      tags:
        - employer_documents
      description: Retrieves the employer document by id.
      operationId: employer_documents_retrieve
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmployerDocument'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    EmployerDocument:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        employer:
          type: string
        file:
          type: string
          format: uri
        name:
          type: string
          maxLength: 255
        document_type:
          $ref: '#/components/schemas/DocumentTypeEnum'
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - created_at
        - document_type
        - employer
        - file
        - id
        - name
    DocumentTypeEnum:
      enum:
        - summary_of_benefits_and_coverage
      type: string
      description: '* `summary_of_benefits_and_coverage` - Summary of Benefits and Coverage'
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````